﻿angular.module("umbraco")
    .controller("MediaProtect.Dashboard.IndexDashboardController",
    function ($scope, mediaprotectBackofficeResources, notificationsService) {
        
        $scope.bindData = function () {
            mediaprotectBackofficeResources.indexStatus().then(function (res) {
                $scope.model = res.data;
                $scope.loaded = true;
            });
        };
        $scope.reindex = function () {
            $scope.reindexing = true;
            mediaprotectBackofficeResources.rebuildIndex().then(function (res) {
                $scope.model = res.data;
                $scope.reindexing = false;
                notificationsService.success($scope.model.reindexStatusHeader, $scope.model.reindexStatusMessage);
            });
        };
        
        //Initialize
        $scope.bindData();
    });