﻿angular.module("umbraco.directives")
    .directive('mediaprotectLocalize', function (mediaprotectResourceService) {
        return {
            transclude: true,
            restrict: 'E',
            replace: true,
            link: function (scope, element, attrs) {
                var key = attrs.key;
                mediaprotectResourceService.localize(key).then(function (value) {
                    element.html(value);
                });
            }
        };

    })

    .directive('mediaprotectLocalize', function ($log, mediaprotectResourceService) {
        return {
            restrict: 'A',
            link: function (scope, element, attrs) {
                var key = attrs.seocheckerLocalize;
                if (key && scope.label) {
                    mediaprotectResourceService.localize(key).then(function (value) {
                        scope.label = value;
                        scope.labelstring = value;
                    });
                }
            }
        }
    });